function clsBloom(option){
	this.cont=option.cont;
	this.bor=option.bor;
	this.img=option.img;
	this.mag=option.mag;
	this.scale=option.scale||4;
	this.imgHttp=option.imgHttp;
	this.init(); //初始化
}

clsBloom.prototype={
	init:function(){
		//给放大的图像初始化属性
		kj.set(this.img,'style.position',"absolute");
		kj.w(this.img , (kj.w(this.cont) * this.scale) + 'px');
		kj.h(this.img , (kj.h(this.cont) * this.scale) + 'px');
		var offset = kj.offset(this.cont);
		//给放大框初始化属性
		kj.set(this.mag , 'style.display' , 'none');
		kj.set(this.mag , 'style.width' , kj.w(this.cont) + 'px');
		kj.set(this.mag , 'style.height' , kj.h(this.cont) + 'px');
		kj.set(this.mag , 'style.position' , 'absolute');
		kj.set(this.mag , 'style.left' , offset.left + offset.width + 10 + 'px');
		kj.set(this.mag , 'style.top' , offset.top + 'px');
		var borderWid = 0;//this.cont.outerWidth() - this.cont.innerWidth();

		kj.set(this.bor , 'style.display' , 'none');
		kj.set(this.bor , 'style.width' , kj.w(this.cont) / this.scale - borderWid + 'px');
		kj.set(this.bor , 'style.height' , kj.h(this.cont) / this.scale - borderWid + 'px');
		kj.set(this.bor , 'style.opacity' ,'0.5');

		this.img.src = this.imgHttp;   //让原始图像的src值给予放大图像
 		
 		var _this=this;

  	 	kj.handler(this.cont , 'mousemove',function(e){
  	 		_this.move(e);
  	 	})
  	 	kj.handler(this.cont , 'mouseout',function(){
  	 		_this.end();
  	 	})

	},
	move:function(e){
		kj.show(this.bor);
		kj.show(this.mag);
		kj.show(this.img);
		var offset = kj.offset(this.cont);
		kj.set(this.bor , 'style.top' ,Math.min(Math.max(e.pageY - offset.top - parseInt(kj.h(this.bor)) / 2,0),kj.h(this.cont)-kj.h(this.bor)) + 'px');
		kj.set(this.bor, 'style.left' , Math.min(Math.max(e.pageX - offset.left - parseInt(kj.w(this.bor)) / 2,0),kj.w(this.cont)-kj.w(this.bor)) + 'px');
		kj.set(this.img , 'style.top' ,- (parseInt(this.bor.style.top) * this.scale) + 'px');
		kj.set(this.img , 'style.left' ,- (parseInt(this.bor.style.left) * this.scale) + 'px');
	},
	end:function(e){
		kj.hide(this.bor);
		kj.hide(this.mag);
	}
}